Update BalanceTransactionSchedule
Update a BalanceTransactionSchedule for the given UUID.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the organization
UUID of the balance
The UUID of the BalanceTransactionSchedule to update.
Body
The amount of each Balance Transaction created by this Schedule.
x >= 0The unique identifier (UUID) of the transaction type used to create Transactions by this Schedule. You can obtain a list of Transaction Types created for the Organization. See the the List TransactionTypes endpoint of this API Reference.
1 - 36^[a-zA-Z0-9-]*$The start date (in ISO-8601 format) of the Balance Transaction Schedule.
The end date (in ISO-8601 format) of the Balance Transaction Schedule.
NOTE: End date is exclusive.
Used in conjunction with frequency to define how often Balance Transactions are generated by the Schedule. For example, if frequency is MONTHLY and frequencyInterval is 3, then Balance Transactions are generated every three months.
1 <= x <= 365The version number of the entity:
- Create entity: Not valid for initial insertion of new entity - do not use for Create. On initial Create, version is set at 1 and listed in the response.
- Update Entity: On Update, version is required and must match the existing version because a check is performed to ensure sequential versioning is preserved. Version is incremented by 1 and listed in the response.
User defined fields enabling you to attach custom data. The value for a custom field can be either a string or a number.
If customFields can also be defined for this entity at the Organizational level, customField values defined at individual level override values of customFields with the same name defined at Organization level.
See Working with Custom Fields in the m3ter documentation for more information.
The name of the Balance Transaction Schedule.
200The unique short code of the Balance Transaction Schedule.
80^([^[\p{Cntrl}\s]])|([^[\p{Cntrl}\s]][[^[\p{Cntrl}\s]] ]*[^[\p{Cntrl}\s]])$The description of each Balance Transaction that will be created by this Schedule.
The payment amount if the payment currency differs from the Balance currency.
The currency code of the payment if it differs from the Balance currency. For example: USD, GBP or EUR.
Response
Return the updated BalanceTransactionSchedule
The UUID of the entity.
The version number:
- Create: On initial Create to insert a new entity, the version is set at 1 in the response.
- Update: On successful Update, the version is incremented by 1 in the response.
User defined fields enabling you to attach custom data. The value for a custom field can be either a string or a number.
If customFields can also be defined for this entity at the Organizational level,customField values defined at individual level override values of customFields with the same name defined at Organization level.
See Working with Custom Fields in the m3ter documentation for more information.
The unique identifier (UUID) for the Balance this Balance Transaction Schedule was created for.
The name of the Balance Transaction Schedule.
Unique short code of the Balance Transaction Schedule.
The amount of each Balance Transaction created by this Schedule.
The description of each Balance Transaction created by this Schedule.
The payment amount if the payment currency differs from the Balance currency.
The currency code of the payment if it differs from the Balance currency. For example: USD, GBP or EUR.
The unique identifier (UUID) of the transaction type used for Transactions created by this Schedule.
The start date (in ISO-8601 format) of the Balance Transaction Schedule.
The end date (in ISO-8601 format) of the Balance Transaction Schedule.
Used in conjunction with frequency to define how often Balance Transactions are generated. For example, if frequency is MONTHLY and frequencyInterval is 3, Balance Transactions are generated every three months.
The date and time (in ISO-8601 format) when the Balance Transaction Schedule was created.
The date and time (in ISO-8601 format) when the Balance Transaction Schedule was last modified.
The unique identifier (UUID) of the user who created this Balance Transaction Schedule.
The unique identifier (UUID) of the user who last modified this Balance Transaction Schedule.
The date and time (in ISO-8601 format) when the next Transaction will be generated by the Balance Transaction Schedule.
The date and time (in ISO-8601 format) when the previous Transaction was generated by the Balance Transaction Schedule.